Package com.io7m.idstore.model

# Class IdPasswordException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.error_codes.IdException
com.io7m.idstore.model.IdPasswordException

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<IdErrorCode>`, `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`, `Serializable`

public final class IdPasswordException extends IdException
An exception raised by a password hashing algorithm.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdPasswordException(String message, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)`
  Construct an exception.
  `IdPasswordException(String message, Throwable cause, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)`
  Construct an exception.

- ## Method Summary

  ### Methods inherited from class com.io7m.idstore.error_codes.IdException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### IdPasswordException

    public IdPasswordException(String message, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)
    Construct an exception.
    Parameters:
      `message` - The message
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any

  - ### IdPasswordException

    public IdPasswordException(String message, Throwable cause, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any